Target version:    

ruby -v: ruby 1.9.2p180 (2011-02-18)

[i386-mingw32]

Backport:  

Description

=begin

xmlrpc client does not properly handle cookies. Firstly, they do not persist if server sets new cookies, secondly, if the server sets the

same cookie more than once, the older cookies will not be overwritten.

For example this

Set-Cookie: foo=deleted

Set-Cookie: foo=bar

will set the cookie property to "foo=deleted; foo=bar", which is incorrect.

I wrote a patch, that handles both of these issues. However, the patch does not add method to delete cookies or reset the session,

which might be useful.

Associated revisions

Revision 16d5c80678042e7d9f42c022ba7b1816f15611ad - 06/13/2013 01:46 PM - Sutou Kouhei 

lib/xmlrpc/client.rb (XMLRPC::Client#parse_set_cookies): Support

multiple names in a response. [ruby-core:41711] [Bug #5774]

Reported by Roman Riha. Thanks!!!

test/xmlrpc/test_client.rb (XMLRPC::ClientTest#test_cookie_override):

Add a test of the above case.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@41285 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 16d5c806 - 06/13/2013 01:46 PM - Sutou Kouhei 

lib/xmlrpc/client.rb (XMLRPC::Client#parse_set_cookies): Support

multiple names in a response. [ruby-core:41711] [Bug #5774]

Reported by Roman Riha. Thanks!!!

test/xmlrpc/test_client.rb (XMLRPC::ClientTest#test_cookie_override):

Add a test of the above case.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@41285 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/11/2012 05:04 PM - ko1 (Koichi Sasada)

- Assignee set to nahi (Hiroshi Nakamura)

#2 - 03/18/2012 06:46 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#3 - 06/04/2013 11:27 AM - zzak (zzak _)

- Assignee changed from nahi (Hiroshi Nakamura) to kou (Kouhei Sutou)

This was lib/xmlrpc/client.rb, please check it

#4 - 06/13/2013 10:46 PM - kou (Kouhei Sutou)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100
This issue was solved with changeset r41285.

Roman, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

lib/xmlrpc/client.rb (XMLRPC::Client#parse_set_cookies): Support

multiple names in a response. [ruby-core:41711] [Bug #5774]

Reported by Roman Riha. Thanks!!!

test/xmlrpc/test_client.rb (XMLRPC::ClientTest#test_cookie_override):

Add a test of the above case.
